TTF_SetTextDirection(3)

NAME
TTF_SetTextDirection - Set the direction to be used for text shaping a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_SetTextDirection(TTF_Text *text, TTF_Direction direction);

DESCRIPTION
This function only supports left-to-right text shaping if SDL_ttf was not built with HarfBuzz support.

FUNCTION PARAMETERS

text
    the text to modify.

direction
    the new direction for text to flow.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.